<?php

/**
 * Creates a Smarty object and sets default values
 */
function get_tpl()
{
   $tpl = new Smarty();

   $tpl->template_dir = INSTALL_PATH.'template/';
   $tpl->compile_dir  = INSTALL_PATH.'temp/template';
   $tpl->cache_dir    = INSTALL_PATH.'temp/cache';

   return $tpl;
}


/**
 * Read content of file
 */
function filecontent($file)
{
   $handle = @ fopen($file, "r");
   $contents = '';
   if(!$handle)
      return false;
   else
      while(!feof($handle))
         $contents .= @fread($handle, 8192);

   @fclose($handle);

   return $contents;
}


/**
 * Open a remote URL
 */
function remote_fopen($url)
{
   if (ini_get ('allow_url_fopen'))
   {
      $fp = @ fopen ($url, 'r');
      if (!$fp)
         return false;

      $linea = '';
      while ($remote_read = @ fread ($fp, 4096))
         $linea .= $remote_read;

      @ fclose ($fp);
      return $linea;
   }
   elseif(function_exists('curl_init'))
   {
      $handle = @ curl_init();
      @ curl_setopt ($handle, CURLOPT_URL, $url);
      @ curl_setopt ($handle, CURLOPT_CONNECTTIMEOUT, 1);
      @ curl_setopt ($handle, CURLOPT_RETURNTRANSFER, 1);
      $buffer = @ curl_exec ($handle);
      @ curl_close ($handle);
      return $buffer;
   }
   else
      return false;
}

/**
 * Write string to file
 * @param  string  Filename that is going to be written
 * @param  string  String that is going to be written to file
 * @param  boolean TRUE if filepointer is going to be put on first position
 * @param  boolean TRUE if write mode is append, FALSE if regular mode. Overrides the "truncate" parameter.
 */
function write_to_file($filename, $string='', $truncate=false, $append=false)
{
   if ($append == true)
      $truncate = false;

   $mode = ($append == true ? 'a' : 'w');

   // Check if file exists
   if (!file_exists ($filename))
      return false;

   // Check if file is writeable
   if (!is_writable ($filename))
      @ chmod ($filename, 0666); // Try to give writing permissions

   if (!is_writable ($filename))
      return false;

   // Open file
   if (!$f = @ fopen ($filename, $mode))
      return false;

   if ($truncate == true)
   {
      // Truncate file
      @ ftruncate ($f, '0');
   }

   // Write content to file
   if (@ fwrite ($f, $string) === false)
      return false;

   // Close file
   if (!@ fclose ($f))
      return false;

   clearstatcache();

   return true;
}
?>